Bug 123552 - Cache folder is not created automatically
Cache folder is not created automatically
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: RemoteFS
6.x
PC Windows XP
: P1 (vote)
: TBD
Assigned To: Dirk Estievenart
remotefs@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 10:06 UTC by Dirk Estievenart
Modified: 2008-01-11 16:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
patches this issue. File contains lots of changes, but most of them are just formatting (adding braces, javadoc...) (30.39 KB, patch)
2007-12-06 11:21 UTC, Dirk Estievenart
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Estievenart 2007-12-06 10:06:56 UTC
org.netbeans.modules.remotefs.ftpfs.FTPFileSystem requires a default cache folder.

This is the static final String FTPWORK.

This folder is not created automatically and results in a NullPointerException when the FTPFileSystem class is loaded
(during static initialisation).

A a side note, I think that it's preferable to create a cache folder in the java's temp dir, rather than in the
application folder.
Comment 1 Dirk Estievenart 2007-12-06 11:21:57 UTC
Created attachment 53939 [details]
patches this issue. File contains lots of changes, but most of them are just formatting (adding braces, javadoc...)
Comment 2 Dirk Estievenart 2008-01-11 16:26:48 UTC
CVS fixed at 11 Jan 2008 16:23:17 revision 1.13


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo